"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BullMQ_1 = require("./../src/BullMQ");
/*
|--------------------------------------------------------------------------
| Provider
|--------------------------------------------------------------------------
|
| Your application is not ready when this file is loaded by the framework.
| Hence, the top level imports relying on the IoC container will not work.
| You must import them inside the life-cycle methods defined inside
| the provider class.
|
| @example:
|
| public async ready () {
|   const Database = (await import('@ioc:Adonis/Lucid/Database')).default
|   const Event = (await import('@ioc:Adonis/Core/Event')).default
|   Event.on('db:query', Database.prettyPrint)
| }
|
*/
class BullMQProvider {
    constructor(container) {
        this.container = container;
    }
    register() {
        // Register your own bindings
        this.container.singleton('Adonis/Addons/BullMQ', () => {
            const config = this.container.use('Adonis/Core/Config');
            return new BullMQ_1.BullMQClass(config);
        });
    }
    async boot() {
        // All bindings are ready, feel free to use them
    }
    async ready() {
        // App is ready
    }
    async shutdown() {
        // Cleanup, since app is going down
    }
}
exports.default = BullMQProvider;
